Package Details: ferdi 5.6.2-1

Git Clone URL: https://aur.archlinux.org/ferdi.git (read-only, click to copy)
Package Base: ferdi
Description: A messaging browser that allows you to combine your favorite messaging services into one application
Upstream URL: https://getferdi.com
Keywords: app browser franz gmail messenger slack whatsapp
Licenses: Apache
Submitter: AG_Caesar
Maintainer: dpeukert
Last Packager: dpeukert
Votes: 15
Popularity: 0.39
First Submitted: 2019-09-25 13:30
Last Updated: 2021-09-13 09:26

Pinned Comments

dpeukert commented on 2020-02-16 11:54

The PKGBUILD for this package is hosted here (contributions are welcome!): https://gitlab.com/dpeukert/pkgbuilds/tree/main/ferdi

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

dpeukert commented on 2020-05-08 21:58

@jlaunay As the log says, this looks like an error with npm itself. As I wasn't able to reproduce this, I'm not really able to investigate this further, but you can try reporting it upstream to npm.

moita commented on 2020-04-29 19:07

thanks @dpeukert, disable systray and now ferdi is opening

jlaunay commented on 2020-04-29 02:42

@dpeukert You will find it here https://pastebin.com/xKbTQsu0

and the end of npm log https://pastebin.com/atqPr9sW

dpeukert commented on 2020-04-28 18:23

@jlaunay I wasn't able to reproduce this, can you post the entire build log?

@zephyr0 @moita I've been able to get around the segfault by setting enableSystemTray to false in the config file (~/.config/Ferdi/config/settings.json). I'll try to investigate and push a fix upstream.

moita commented on 2020-04-28 18:19

I was able to use ferdi 5.5 for some time before it started segfaulting like pointed out by zephyr0, I guess it crashed after I enable the new settings but I can't reopen/retest to confirm.

jlaunay commented on 2020-04-28 15:55

Build failed (same with ferdi-git) with the following error: npm ERR! cb() never called!

zephyr0 commented on 2020-04-27 12:22

Build worked but when started, I get the following error with 5.5.0-2

(electron) The default value of app.allowRendererProcessReuse is deprecated, it is currently "false".  It will change to be "true" in Electron 9.  For more information please check https://github.com/electron/electron/issues/18397
Segmentation fault (core dumped)

dpeukert commented on 2020-04-10 10:50

@alexm Sorry 'bout that, fixed.

alexm commented on 2020-04-08 10:53

'git' should be added into makedepends

Otherwise it can't be built inside a fresh chrooted configuration.

dpeukert commented on 2020-02-16 11:54

The PKGBUILD for this package is hosted here (contributions are welcome!): https://gitlab.com/dpeukert/pkgbuilds/tree/main/ferdi